/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dispatch.talend.web.internal.process;

import java.io.Serializable;

/**
 * @author Matija Petanjek
 */
public class TalendProcessOutput implements Serializable {

	public TalendProcessOutput(int exitCode, String stdOut, String stdErr) {
		_exitCode = exitCode;
		_stdOut = stdOut;
		_stdErr = stdErr;
	}

	public int getExitCode() {
		return _exitCode;
	}

	public String getStdErr() {
		return _stdErr;
	}

	public String getStdOut() {
		return _stdOut;
	}

	public boolean hasException() {
		if (_exitCode == 0) {
			return false;
		}

		return true;
	}

	private static final long serialVersionUID = 1L;

	private final int _exitCode;
	private final String _stdErr;
	private final String _stdOut;

}